Bug 77050 - Cross-reference to heading loses character style / direct formatting (e.g., italics)
Summary: Cross-reference to heading loses character style / direct formatting (e.g., i...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Fields-Cross-Reference Writer-Styles-Character
  Show dependency treegraph
 
Reported: 2014-04-04 11:23 UTC by sonajaqufe
Modified: 2019-05-20 08:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
example doc (72.24 KB, application/vnd.oasis.opendocument.text)
2014-04-04 11:23 UTC, sonajaqufe
Details
Test file with fields that do not keep formating (10.11 KB, application/vnd.oasis.opendocument.text)
2016-02-26 23:42 UTC, RGB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sonajaqufe 2014-04-04 11:23:26 UTC
Created attachment 96895 [details]
example doc

Cross-reference fields don't retain the formatting that their sources (headings, Figure titles etc.) have.

Steps to reproduce:
1) Create heading with some formatting as reference source
2) Insert | Fields | Cross-references
3) Insert the formatted reference

expected: same formatting in inserted reference field
instead: no formatting :-(

This is esp. problematic for scientists who want to write manuscripts in LibreOffice. Species names are often put into headings. It is then not helpful to use fields in order to compose a manuscript coherently, e.g. with same sub-headings in Materials & Methods, Results and Discussion sections.
Comment 1 sonajaqufe 2014-04-04 12:02:11 UTC
occurs also in v4.2.2.1
initially reported for v4.2.0.2
Comment 2 Dominique Boutry 2014-04-08 09:08:09 UTC
Hi. I understand what you want, but a wonder whether other people may prefer the opposite (current) behavior.

Despite the fact that I'm not found of this solution, I suppose that it would be great here to allow both behavior.

Kept to UNCONFIRMED to get additionnal advices.
Comment 3 sonajaqufe 2014-04-08 09:46:52 UTC
On 2014-04-08 11:08, bugzilla-daemon@freedesktop.org wrote:
> [...] other people may prefer the opposite (current) behavior.

I can't imagine any, but if there are other use-cases in which one would
want to lose formatting: All the more reason to have an option there,
instead of one or the other as default.

Therefore, +1 for a "keep formatting"-check-box in the "Insert | Fields
| Cross-references"-dialogue
Comment 4 Kumāra 2014-07-02 06:10:44 UTC
This is not a bug, but an enhancement request. So, I've change the Importance field accordingly.

I'm one who prefer it as it is (i.e., opposite behaviour of the request). Besides, I think formatting is not meant to be reproduced for cross-references. Isn't it odd if you cross-reference a heading that is bold and 24pt large and in your text that is regular and 12pt?
Comment 5 sonajaqufe 2014-07-02 07:35:39 UTC
Ah, I should elaborate: taking over all formatting would indeed be not useful. However, in particular italic is very relevant in natural sciences.

Let's reduce this enhancement request to italics only.
Comment 6 Owen Genat (retired) 2014-07-15 23:56:25 UTC
(In reply to comment #5)
> Let's reduce this enhancement request to italics only.

Confirmed. Status set to NEW. Summary edited for clarity. Platform set to All/All. Bug 30732 added to See Also list as it is a more general request for this functionality. It may be this report will be closed as a duplicate, but it remains to be seen to what extent the work currently being done to resolve 30732 includes this functionality.
Comment 7 RGB 2016-02-26 23:42:09 UTC
Created attachment 123018 [details]
Test file with fields that do not keep formating

(In reply to Owen Genat (retired) from comment #6)
> (In reply to comment #5)
> > Let's reduce this enhancement request to italics only.
> 
> Confirmed. Status set to NEW. Summary edited for clarity. Platform set to
> All/All. Bug 30732 added to See Also list as it is a more general request
> for this functionality. It may be this report will be closed as a duplicate,
> but it remains to be seen to what extent the work currently being done to
> resolve 30732 includes this functionality.

As you can see on the attachment (build on LibO 5.1) Bug 30732 resolves the TOC functionality, but not the problem with fields: neither the cross reference to the heading nor the "chapter field" inserted on the document footer are able to keep formatting. 

Keeping sub/superscripts and italics is fundamental in technical documents, school assignments, etc.: without proper formatting, some expressions may lose their meaning.
Comment 8 Kumāra 2016-02-27 04:47:39 UTC
If this be fixed, it must be limited to only certain formatting attributes. (See Comment 4.) Requesters should specify them. At this point, I get that they are limited to
* sub/superscripts
* italics.

Anything else?
Comment 9 RGB 2016-02-27 08:06:35 UTC
(In reply to Kumāra from comment #8)
> If this be fixed, it must be limited to only certain formatting attributes.
> (See Comment 4.) Requesters should specify them. At this point, I get that
> they are limited to
> * sub/superscripts
> * italics.
> 
> Anything else?

For me, sub/superscripts and italics are enough. Maybe bold, but nothing else.
Comment 10 sonajaqufe 2016-02-27 20:09:23 UTC
Agreed: sub- & superscript, italic and bold. Thank you :-)
Comment 11 Xisco Faulí 2016-10-10 11:24:59 UTC Comment hidden (obsolete)
Comment 12 RGB 2016-10-10 12:08:05 UTC
On comment 10 the OP agreed on the info provided on comment 9 so setting it back to NEW